scope-specific-bid-forms/{formId}/line-items:batch-patch
Updates multiple project bid form line items. Max 2000 line items per call.
The request body must be an object with line item ids as keys and the fields to update as values.
Note that a bid form’s line items must each have a unique combination of the type, description, and section field values.
Resource Information
| Method and URI | PATCH https://developer.api.autodesk.com/construction/buildingconnected/v2/scope-specific-bid-forms/{formId}/line-items:batch-patch |
| Authentication Context | User context required |
| Required OAuth Scopes | data:write |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
| Content-Type* string | Must be application/json |
Request
URI Parameters
| formId string | The ID of the form. |
Request
Body Structure
An object keyed by line item IDs with values that are ScopeSpecificBidFormLineItemUpdate type. Max 2000 bid form line items per call.
object | The details of an update to a line item on a scope-specific bid form. |
| description string | A description of the scope-specific bid form line item. |
| section string | The section that the scope-specific line item should be under. Defaults to null.
|
| isRequired boolean | Indicates whether the scope-specific line item is required. Possible values:
|
| unit enum:string | The unit format of the scope-specific line item.
The possible values of this field depend on the value of
Note that the value |
| code string | The cost code associated with the scope-specific line item.
Max length: 87 |
| quantity number | The quantity of the scope-specific line item. This value is null under either of the following conditions:
|
| isQuantityFixed boolean | Indicates whether the scope-specific line item quantity is fixed. If it is fixed, bidders cannot change it. Possible values:
|
| external object | Information about an external tool that can link the line item to a cost or other element that is external to BuildingConnected.
Note that BuildingConnected does not use information in this object. |
| id* string | The ID of the external tool. |
| name string | The name of the external tool. |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
| results array: object | An array of the updated bid form line items |
| id string | The unique ID of the scope-specific line item.
Max length: 24 |
| type enum:string | The type of the scope-specific line item.
The possible values have the following UI equivalents:
|
| description string | A description of the scope-specific line item. |
| section string | The section that the scope-specific line item is under. This value is null if the item is not under a section. |
| isRequired boolean | Indicates whether the scope-specific line item is required. Possible values:
|
| unit enum:string | The unit format of the scope-specific line item.
The possible values of this field depend on the value of
Note that the value |
| code string | The cost code associated with the scope-specific line item. |
| quantity number | The quantity of the scope-specific line item. This value is null under either of the following conditions:
|
| isQuantityFixed boolean | Indicates whether the scope-specific line item quantity is fixed. If it is fixed, bidders cannot change it. Possible values:
|
| external object | Information about an external tool that can link the line item to a cost or other element that is external to BuildingConnected.
Note that BuildingConnected does not use information in this object. |
| id string | The ID of the external tool. |
| name string | The name of the external tool. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/scope-specific-bid-forms/:formId/line-items:batch-patch' \
-X 'PATCH' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '{
"53811754d3a604966df72247": {
"description": "Concrete",
"section": "Work & Cleanup",
"quantity": 2000,
"external": {
"id": "1234-3214-1234-3214",
"name": "External System"
}
}
}'
Response
{
"results": [
{
"id": "53811754d3a604966df72247",
"type": "COST_BREAKDOWN",
"description": "Duct Insulation",
"section": "Furnish & Install",
"isRequired": true,
"unit": "HOURS",
"code": "D2",
"quantity": 1000,
"isQuantityFixed": true,
"external": {
"id": "ext-cost-id-123",
"name": "External Cost Code"
}
}
]
}